Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000045Core InformSource text and punctuationpublic2010-06-16 07:262010-07-01 23:07
Reporterfundin 
Assigned Tograham 
PrioritynormalSeverityseriousReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS VersionVista
Product Version6E59 
Target VersionFixed in Version6E72 
Summary0000045: Can't use two constant lists in the same phrase in some cases
DescriptionThe example source results in the following problem report:

Problem. The constant list '1, 2, 3} next to {4, 5, 6' contains an
entry '3} next to {4' which isn't any form of constant I'm able to
read.
Minimal Source Text To Reproduce
Home is a room.

To decide which list of K is (L1 - a list of values of kind K) next
to (L2 - a list of K):
	add L2 to L1;
	decide on L1.

When play begins: showme {1, 2, 3} next to {4, 5, 6}.
Additional InformationThe problem only seems to affect phrases that begin with a list argument. That is, phrases with a word before the first argument or a first argument that is not a list are safe.
TagsNo tags attached.
Effect(serious) Compiler rejects valid code
Attached Files

- Relationships

-  Notes
(0000075)
graham (administrator)
2010-06-20 05:31

An old-school parsing bug; Inform confused "L next to L" with "L", and although it checked for consistent pairing of braces, it didn't check for the pairing level falling below 1 at an early enough stage. Fixed.

- Issue History
Date Modified Username Field Change
2010-06-16 07:26 fundin New Issue
2010-06-16 07:57 jmcgrew Effect (critical) Inform 6 compiler reports errors for valid code => (serious) Compiler rejects valid code
2010-06-16 07:57 jmcgrew Severity mild => serious
2010-06-16 07:57 jmcgrew Status new => acknowledged
2010-06-17 20:55 EmacsUser Status acknowledged => confirmed
2010-06-17 20:55 EmacsUser Additional Information Updated View Revisions
2010-06-20 05:31 graham Note Added: 0000075
2010-06-20 05:31 graham Status confirmed => resolved
2010-06-20 05:31 graham Resolution open => fixed
2010-06-20 05:31 graham Assigned To => graham
2010-06-30 18:07 jmcgrew Fixed in Version => 6E72
2010-07-01 23:07 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker